Loading...
Searching...
No Matches
RDKit::ScaffoldNetwork::detail Namespace Reference

## Functions

RDKIT_SCAFFOLDNETWORK_EXPORT std::vector< std::pair< std::string, ROMOL_SPTR > > | getMolFragments (const ROMol &mol, const ScaffoldNetworkParams &params)
RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * | makeScaffoldGeneric (const ROMol &mol, bool doAtoms, bool doBonds)
RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * | removeAttachmentPoints (const ROMol &mol, const ScaffoldNetworkParams &params)
RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * | pruneMol (const ROMol &mol, const ScaffoldNetworkParams &params)
RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * | flattenMol (const ROMol &mol, const ScaffoldNetworkParams &params)
RDKIT_SCAFFOLDNETWORK_EXPORT void | addMolToNetwork (const ROMol &mol, ScaffoldNetwork &network, const ScaffoldNetworkParams &params)

## Function Documentation

## addMolToNetwork()

RDKIT_SCAFFOLDNETWORK_EXPORT void RDKit::ScaffoldNetwork::detail::addMolToNetwork | ( | const ROMol & | mol,
|  | ScaffoldNetwork & | network,
|  | const ScaffoldNetworkParams & | params )

References RDKIT_SCAFFOLDNETWORK_EXPORT.

## flattenMol()

RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * RDKit::ScaffoldNetwork::detail::flattenMol | ( | const ROMol & | mol,
|  | const ScaffoldNetworkParams & | params )

References RDKIT_SCAFFOLDNETWORK_EXPORT.

## getMolFragments()

RDKIT_SCAFFOLDNETWORK_EXPORT std::vector< std::pair< std::string, ROMOL_SPTR > > RDKit::ScaffoldNetwork::detail::getMolFragments | ( | const ROMol & | mol,
|  | const ScaffoldNetworkParams & | params )

## makeScaffoldGeneric()

RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * RDKit::ScaffoldNetwork::detail::makeScaffoldGeneric | ( | const ROMol & | mol,
|  | bool | doAtoms,
|  | bool | doBonds )

References RDKIT_SCAFFOLDNETWORK_EXPORT.

## pruneMol()

RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * RDKit::ScaffoldNetwork::detail::pruneMol | ( | const ROMol & | mol,
|  | const ScaffoldNetworkParams & | params )

References RDKIT_SCAFFOLDNETWORK_EXPORT.

## removeAttachmentPoints()

RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * RDKit::ScaffoldNetwork::detail::removeAttachmentPoints | ( | const ROMol & | mol,
|  | const ScaffoldNetworkParams & | params )

References RDKIT_SCAFFOLDNETWORK_EXPORT.